## org.eclipse.contribution.visualiser.renderers
Class CylinderRenderer

    java.lang.Object
      org.eclipse.contribution.visualiser.renderers.ClassicVisualiserRenderer
          org.eclipse.contribution.visualiser.renderers.DefaultVisualiserRenderer
              org.eclipse.contribution.visualiser.renderers.GradientVisualiserRenderer
                  org.eclipse.contribution.visualiser.renderers.CylinderRenderer

All Implemented Interfaces:
  IVisualiserRenderer

public class CylinderRenderer
extends GradientVisualiserRenderer

Field Summary

Fields inherited from class org.eclipse.contribution.visualiser.renderers.DefaultVisualiserRenderer
`colorList, cornerData, cornerSize, lightGrayGradientColor, outlineColor, outlineColor2`

Constructor Summary
`CylinderRenderer()`

Method Summary
`void` `paintColumn(org.eclipse.swt.graphics.GC gc, IMember m, int x, int yoff, int colWidth, int colHeight, boolean affected)` Paint cylinders, with 'highlight' just a bit to the left of center.

Methods inherited from class org.eclipse.contribution.visualiser.renderers.DefaultVisualiserRenderer
`getColumnHeaderHeight, getMarginSize, getSpacing, paintColumnHeader`

Methods inherited from class org.eclipse.contribution.visualiser.renderers.ClassicVisualiserRenderer
`getConstrainedString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CylinderRenderer

    public CylinderRenderer()

Method Detail

### paintColumn

    public void paintColumn(org.eclipse.swt.graphics.GC gc,
                            IMember m,
                            int x,
                            int yoff,
                            int colWidth,
                            int colHeight,
                            boolean affected)

  Paint cylinders, with 'highlight' just a bit to the left of center.

  Specified by:
    `paintColumn` in interface `IVisualiserRenderer`
  Overrides:
    `paintColumn` in class `GradientVisualiserRenderer`